#!/bin/sh
#

EXT=postgresql-9.5
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash file squashfs-tools \
		openssl-dev libxml2-dev libxslt-dev gettext perl5 tzdata \
		tcl8.6-dev python3-dev
	do tce-load -i $a
done

sudo ln -s $(which python3) /usr/local/bin/python

for a in $(grep -l -r 'define NAMEDATALEN' *); do
	sed -i -e 's/define NAMEDATALEN .*$/define NAMEDATALEN 128/' $a
done

#make clean
./configure \
	--prefix=/usr/local/pgsql95 \
	--localstatedir=/var \
	--disable-rpath \
	--with-openssl \
	--with-libxml \
	--with-libxslt \
	--with-perl \
	--with-python \
	--with-tcl \
	--enable-nls \
	--with-system-tzdata=/usr/local/share/zoneinfo \
	|| exit

make && make install-strip DESTDIR=$TCZ || exit
cd contrib && make && make install-strip DESTDIR=$TCZ && cd .. || exit

mkdir -p $TCZ-dev/usr/local/pgsql95/bin
mkdir -p $TCZ-dev/usr/local/pgsql95/lib
mkdir -p $TCZ-client/usr/local/pgsql95/lib
mkdir -p $TCZ-client/usr/local/pgsql95/bin

mv $TCZ/usr/local/pgsql95/include $TCZ-dev/usr/local/pgsql95
mv $TCZ/usr/local/pgsql95/lib/pgxs $TCZ-dev/usr/local/pgsql95/lib
mv $TCZ/usr/local/pgsql95/lib/pkgconfig $TCZ-dev/usr/local/pgsql95/lib
mv $TCZ/usr/local/pgsql95/lib/*.a $TCZ-dev/usr/local/pgsql95/lib
cp -a $TCZ/usr/local/pgsql95/lib $TCZ-dev/usr/local/pgsql95
mv $TCZ/usr/local/pgsql95/bin/pg_config $TCZ-dev/usr/local/pgsql95/bin

cp $TCZ/usr/local/pgsql95/bin/psql $TCZ-client/usr/local/pgsql95/bin
cp -a $TCZ/usr/local/pgsql95/lib/libpq.so* $TCZ-client/usr/local/pgsql95/lib

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend
mksquashfs $TCZ-client /tmp/$EXT/$EXT-client.tcz -noappend

